Trace sets of packets through the network (streaming)
POST/networks/:networkId/paths-bulk-seq
Efficiently performs multiple path searches through the network and streams them back in the
record separator-delimited JSON
(json-seq) format.
See Path Search for an introduction applicable to all the path search operations.
If you wish to consume bulk query results as a conventional JSON array instead, use the non-streaming variant of this operation instead.
Request
Responses
- 200
- 400
- 409
The response is a sequence of a result (a PathSearchResponse or an error object) for each query in the
request, in the same order. Each result is prefixed by an ASCII Record Separator (0x1E), and ends with an
ASCII Line Feed character (0x0A), as described in RFC 7464: JSON Text
Sequences. An error object has an "error": true property. Each query
is evaluated independently.
The request failed input validation. For example, a request parameter is outside the permitted range or an input path search query had an invalid IP protocol and ICMP type combination.
The system is currently processing this Snapshot.
Note: GET /networks/{networkId}/snapshots/latestProcessed can be used to determine when processing of the latest Snapshot is done or to identify an alternate Snapshot that has already been processed.